### Virtual Method

# Foundry DocumentationProvider find_by_uri

#### Declaration [src]

    DexFuture*
    find_by_uri (
      FoundryDocumentationProvider* self,
      const char* uri
    )

#### Description

No description available.

#### Parameters

`uri`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that will resolve to a `FoundryDocumentation` or reject with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.